//+------------------------------------------------------------------+
//|                                                 Account Info.mq4 |
//+------------------------------------------------------------------+
#property copyright "Sergey Mechanic, mod master_255"
#property version   "1.00"

void OnStart()
{
    //   : 0 -  , 1 -       
    string StopoutUnits;
   
    int StopoutMode = AccountStopoutMode();
    
    if(StopoutMode == 0)
        StopoutUnits = "(equity / used margin * 100):";
    else
        StopoutUnits = "(stopout mode = 1):\t";
        
    string AccountType;
    
    if(IsDemo() == true)
        AccountType = "Demo";
    else
        AccountType = "Real";
   
   string LeverageSymbString;
   
   for(int i=SymbolsTotal(true)-1;i>=0;i--){
     string Symb = SymbolName(i,true);
     double LeverageSymb = 0;
     if(MarketInfo(Symb,MODE_MARGINREQUIRED)>0 && MarketInfo(Symb,MODE_POINT)>0) LeverageSymb = MathCeil(MarketInfo(Symb,MODE_TICKVALUE)*MarketInfo(Symb,MODE_BID)/MarketInfo(Symb,MODE_MARGINREQUIRED)/MarketInfo(Symb,MODE_POINT));
     LeverageSymbString += Symb+" Leverage:\t\t1:"+DoubleToStr(LeverageSymb, 0)+ "\t"+ DoubleToStr(MarketInfo(Symb,MODE_MARGINREQUIRED),2) +"$\t\t"+ DoubleToStr(MarketInfo(Symb,MODE_TICKVALUE)*(MarketInfo(Symb,MODE_POINT)/MarketInfo(Symb,MODE_TICKSIZE)),2) +"$\n";
   }   
   
    string AccountInfo =    "Account number:\t\t" + DoubleToStr(AccountNumber(), 0)       + "\n" +
                            "Account type:\t\t"   + AccountType                           + "\n" +
                            "Account owner:\t\t"  + AccountName()                         + "\n" +                          
                            "Company:\t\t\t"        + AccountCompany()                      + "\n" +
                            "Server:\t\t\t"       + AccountServer()                       + "\n" +
                            "Currency:\t\t\t"       + AccountCurrency()                     + "\n" +
                            "Leverage:\t\t\t1:"       + DoubleToStr(AccountLeverage(), 0)     + "\n" +
                            "CloseByAllowed:\t\t"   + MarketInfo(Symbol(), MODE_CLOSEBY_ALLOWED) + "\n\n" +
                            "Symbol\t\t\tLeverage\tMargin required\tPoint size\n" +
                            LeverageSymbString    + "\n" +                    
                            "Balance:\t\t\t"      + DoubleToStr(AccountBalance(), 2)      + "\n" +
                            "Equity:\t\t\t"       + DoubleToStr(AccountEquity(), 2)       + "\n" +
                            "Floating profit:\t\t"+ DoubleToStr(AccountProfit(), 2)       + "\n" +                 
                            "Used margin:\t\t"    + DoubleToStr(AccountMargin(), 2)       + "\n" +
                            "Free margin:\t\t"    + DoubleToStr(AccountFreeMargin(), 2)   + "\n" +                
                            "Credit:\t\t\t"       + DoubleToStr(AccountCredit(), 2)       + "\n\n" +
                            
                            "Stopout"                                               + "\n" +
                            StopoutUnits + "\t"  + DoubleToStr(AccountStopoutLevel(), 0);

                    
	MessageBox(AccountInfo, "Account Information", MB_OK);
	
	return;
}

